# Card

Table of Contents

###### Examples

Basic Usage

###### JavaScript Reference

Constructor
Requirements
Attributes
Properties
Methods

A card is a "box" around some content with a border, padding and margins that make it stand out.

    <k-card>
      This is a card
    </k-card>

This is a card

### Labels

A label gives some text in a box on the top border of the card, helping identify the purpose of the contents.

    <k-card label="I'm a Label">
      This is a card
    </k-card>

This is a card

## JavaScript Reference

### Constructor

###### Extends Component

##### `new Card()`
`new Card(string label)`

#### Parameters

##### `label: string`

The label for the card.

### Requirements

- Component

### Attributes

##### `label: string`

The label for the card.

### Methods

##### `setLabel(string label): void`

Sets the label for the card.